#!/usr/local/bin/python
#
# Python dupe filter. Only prints lines that appear N number of times in
# the input as specified by argv[1]. Defaults to 1 (like uniq -d).
# requires sorted input.

import sys
import os
import string

numdupes = 1

if len(sys.argv) > 1:
    numdupes = sys.argv[1]

lines = sys.stdin.readlines()

prev = ''
counter = 0

for line in lines:
    if prev == '':
        prev = line
        continue

    if prev == line:
        counter += 1
    else:
        if counter >= numdupes:
            print prev
            counter = 0
        
